#
# spec file for package libqt5xdg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _name libqtxdg
Name:           libqt5xdg
Version:        3.1.0
Release:        lp150.1.6
Summary:        Qt implementation of xdg specs for lxqt
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            https://lxqt.org
Source:         https://github.com/lxde/%{_name}/releases/download/%{version}/%{_name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{_name}/releases/download/%{version}/%{_name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core) >= 5.6.1
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Qt implementation of freedesktop.org XDG specs for LXQt

%package -n libQt5Xdg3
Summary:        Libraries for qtxdg
Group:          System/Libraries
Provides:       libqtxdg

%description -n libQt5Xdg3
QtXDG libraries for development

%package devel
Summary:        Devel files for libqtxdg
Group:          Development/Libraries/C and C++
Requires:       libQt5Xdg3 = %{version}
Requires:       pkgconfig
Requires:       pkgconfig(Qt5UiTools)

%description devel
QtXDG libraries for development

%package -n libQt5XdgIconLoader3
Summary:        IconLoader library for QtXDG
Group:          System/Libraries
Provides:       libqtxdgiconloader

%description -n libQt5XdgIconLoader3
QtXDG icon loader libraries used in LXQt

%package -n libQt5XdgIconLoader-devel
Summary:        Devel files for libQt5XdgIconLoader
Group:          Development/Libraries/C and C++
Requires:       libQt5XdgIconLoader3 = %{version}

%description -n libQt5XdgIconLoader-devel
Development files for QtXDG icon loader libraries used in LXQt

%prep
%setup -q -n %{_name}-%{version}

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}/%{_datadir}/locale

%post -n libQt5Xdg3 -p /sbin/ldconfig
%postun -n libQt5Xdg3 -p /sbin/ldconfig
%post -n libQt5XdgIconLoader3 -p /sbin/ldconfig
%postun -n libQt5XdgIconLoader3 -p /sbin/ldconfig

%files -n libQt5Xdg3
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/libQt5Xdg.so.*

%files devel
%defattr(-,root,root)
%{_datadir}/cmake/qt5xdg
%{_includedir}/qt5xdg
%{_libdir}/pkgconfig/Qt5Xdg.pc
%{_libdir}/libQt5Xdg.so

%files -n libQt5XdgIconLoader3
%defattr(-,root,root)
%{_libdir}/libQt5XdgIconLoader.so.3
%{_libdir}/libQt5XdgIconLoader.so.3.1.0

%files -n libQt5XdgIconLoader-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5xdgiconloader
%dir %{_includedir}/qt5xdgiconloader/3.1.0
%dir %{_includedir}/qt5xdgiconloader/3.1.0/private
%dir %{_includedir}/qt5xdgiconloader/3.1.0/private/xdgiconloader
%dir %{_datadir}/cmake/qt5xdgiconloader
%{_libdir}/libQt5XdgIconLoader.so
%{_libdir}/qt5/plugins/iconengines/libQt5XdgIconPlugin.so
%{_includedir}/qt5xdgiconloader/3.1.0/private/xdgiconloader/xdgiconloader_p.h
%{_includedir}/qt5xdgiconloader/xdgiconloader_export.h
%{_libdir}/pkgconfig/Qt5XdgIconLoader.pc
%{_datadir}/cmake/qt5xdgiconloader/qt5xdgiconloader-config-version.cmake
%{_datadir}/cmake/qt5xdgiconloader/qt5xdgiconloader-config.cmake
%{_datadir}/cmake/qt5xdgiconloader/qt5xdgiconloader-targets-*.cmake
%{_datadir}/cmake/qt5xdgiconloader/qt5xdgiconloader-targets.cmake

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 3.1.0:
  * Bump version to 3.1.0
  * xdgdesktopfile: Add API for getting actions info
  * xdgdesktopfile: Add support for activating actions
  * xdgdesktopfile: Add getting actions
  * Check $XDG_CONFIG_HOME and $XDG_CONFIG_DIRS for mimeapps.list first.
  * Fix reading and writing mimeapps.list file.
  * Don't export github templates
  * Release 3.0.0: Update changelog
  * Backport support for Scale directory key according to Icon Theme spec
  * Bump Major to 3
  * test: Drop Q_FOREACH
  * Drop Q_FOREACH
  * liblxqt make no sense here
  * Copied issue template
  * Drops Qt5Core_VERSION_STRING
  * Avoid Qt special keywords collision
  * XdgDesktopFile: Stops allocating unneeded QMap::keys()
  * XdgDesktopFile: Stop allocating unneeded QHash:values()
  * XdgDesktopFile: Improve const-ness
  * xdgiconloader: Reworks the unthemed/pixmap search
  * xdgiconloader: Puts the hicolor at the end of the theme hierarchy
  * XdgIcon: Add flag for "FollowsColorScheme" processing
  * xdgiconloader: Honor "FolowsColorScheme" theme hint
  * xdgiconloader: Support symbolic SVG icons
  * More fixes (#131)
  * xdgiconloader: Correct hierarchy of fallbacks (#116)
  * xdgiconloader: Fix XdgIconLoaderEngine::actualSize() (#130)
  * Update CMakeLists.txt
  * It adds loadIcon() timing measurements.
  * xdgiconloader: Consider all existing files/images
  * Check QTXDGX_ICONENGINEPLUGIN_INSTALL_PATH existence
  * Mark QTXDGX_ICONENGINEPLUGIN_INSTALL_PATH as advanced
  * xdgiconloader: Implement QIconEnginePlugin interface
  * Disables uninstall target
  * Remove last uses of Java-style (non-mutable) iterators from QtBase
  * Adds a development qtxdg-iconfinder utility tool
  * Enable strict iterators for debug builds
  * Removes extra semi-colons
  * Improve build warnings
  * Bump year
  * QtGui: eradicate Q_FOREACH loops [already const]
  * Optimize QIconLoader::findIconHelper()
  * Remove unused variable in QIconLoader::findIconHelper()
  * Improve use of QHash to minimize double hashing
  * QIconLoaderEngine: add missing Q_DECL_OVERRIDEs
  * Replace QLatin1Literal with QLatin1String
  * QIconCacheGtkReader: use QStringRef more
  * Gui: use const (and const APIs) more
  * Adds Link Time Optimization
  * Replaces CMAKE_SOURCE_DIR by PROJECT_SOURCE_DIR
  * Refactors superbuild support
  * Remove duplicate use of source header files
  * Use AUTOMOC everywhere
  * Stop using include_directories()
  * Removes test project definition
  * Use CMAKE_INCLUDE_CURRENT_DIR
  * Adds PROJECT_NAME to the build Qt version message
  * Simplify target_compile_definitions() and target_include_directories()
  * qiconloader: Reuse Qt implementation
  * XdgIconLoader: Fix FTBFS in super-build/in-tree builds
  * Allow xdg-user-dirs in the realpath of $HOME. On some systems /home is a symlink and $HOME points to the symlink. This commit allows the xdg-user-dirs to start with the real/canonical path.
  * Updates version requirements in pkg-config (.pc) stuff
  * Make Qt5Xdg use only the same version Qt5XdgIconLoader
  * Adds minimum Qt version requirement (5.4.2)
  * test: Fixes false positive in tst_xdgdesktopfile::testReadLocalized()
  * Remove cpack (#106)
* Sat Sep 24 2016 mvetter@suse.com
- Update to to 2.0.0:
  * BACKWARDS-INCOMPATIBLE: New XdgIconLoader library
  * New explicit dependency Qt SVG
  * The IconLoader can use GTK+ icon cache
  * Improved overall performance
  * Better XDG handling
  * Overall polishing
* Thu Nov  5 2015 mvetter@suse.com
- Upstream release 0.10.0
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 1.1.0
* Sun Jan 25 2015 sfalken@opensuse.org
- Added conditionals to build for Fedora (Only needed for F20)
* Tue Oct 28 2014 andrea@opensuse.org
- changed license tag in the spec file to GPL-3.0
* Sun Oct 26 2014 andrea@opensuse.org
- ported to QT5
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 1.0.0
* Tue May 13 2014 andrea@opensuse.org
- spec file clean up
- removed statically defined requires , we let rpm work for us
- use pkg-config where possible
* Tue May 13 2014 sfalken@opensuse.org
- BuildRequires and patch cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora spec, split into subproject
  Del:  libqtxdg-Fedora_20.spec
* Sun May 11 2014 sfalken@opensuse.org
- Removed BuildRequires: pkgconfig() in favour of BuildRequires: libqt4-devel at the request of X11:lxde:lxqt maintainers
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on spec file
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  libqtxdg-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Repackaged tarball to unpack to libqtxdg-0.5.3 instead of .
* Fri May  9 2014 sfalken@opensuse.org
- First stable release, added stable tarball
  Added: libqtxdg-0.5.3.tar.xz
  Delete:  _service
* Thu Apr 17 2014 sfalken@opensuse.org
- .spec file cleanup for rpmlint checks
  Removed explicit Requires:
  Adjusted description
* Wed Apr  2 2014 sfalken@opensuse.org
- Removed direct cmake calls, in favour of %%cmake and %%cmake_install
* Mon Mar 24 2014 sfalken@opensuse.org
- Specfile complete, successful build and packaging
* Mon Mar 24 2014 sfalken@opensuse.org
- Added 0001-translation-dir.patch to correct for openSUSE directories
* Mon Mar 24 2014 sfalken@opensuse.org
- Wrote initial _service file and first source pull
